Review Ticket Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/support/tickets/review"
payload = {
"description": "<string>",
"subject": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', subject: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/support/tickets/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/support/tickets/review \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"subject": "<string>"
}
'{
"enrichment": {
"category": "technical",
"severity": "low",
"summary": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"quality": "pass",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clarifying_questions": [
"<string>"
],
"duplicate_candidates": [
{
"candidate_id": "<string>",
"confidence": "<string>",
"status_label": "<string>",
"summary": "<string>",
"already_resolved": false
}
],
"quality_flags": [
"<string>"
],
"recommended_action": "new"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Support
Review Ticket Endpoint
POST
/
api
/
v1
/
org
/
support
/
tickets
/
review
Review Ticket Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/support/tickets/review"
payload = {
"description": "<string>",
"subject": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', subject: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/support/tickets/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/support/tickets/review \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"subject": "<string>"
}
'{
"enrichment": {
"category": "technical",
"severity": "low",
"summary": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"quality": "pass",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clarifying_questions": [
"<string>"
],
"duplicate_candidates": [
{
"candidate_id": "<string>",
"confidence": "<string>",
"status_label": "<string>",
"summary": "<string>",
"already_resolved": false
}
],
"quality_flags": [
"<string>"
],
"recommended_action": "new"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 10000Required string length:
1 - 200Available options:
technical, account, billing, bug, feature_request, other Show child attributes
Show child attributes
Available options:
low, medium, high, critical Available options:
portal, api, cli, agent Response
Successful Response
Show child attributes
Show child attributes
Available options:
pass, flag Show child attributes
Show child attributes
Available options:
auto, suggest, new